aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_hs_ntor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/test_hs_ntor.sh')
-rwxr-xr-xsrc/test/test_hs_ntor.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/src/test/test_hs_ntor.sh b/src/test/test_hs_ntor.sh
new file mode 100755
index 0000000000..8a0003d44a
--- /dev/null
+++ b/src/test/test_hs_ntor.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Validate Tor's ntor implementation.
+
+exitcode=0
+
+# Run the python integration test sand return the exitcode of the python
+# script. The python script might ask the testsuite to skip it if not all
+# python dependencies are covered.
+"${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/hs_ntor_ref.py" || exitcode=$?
+
+exit ${exitcode}